title: 'Box Generico 2 colonne'
fields:
  -
    handle: bg
    field:
      theme: classic
      lock_opacity: false
      default_color_mode: HEXA
      color_modes:
        - hex
      display: 'Colore Sfondo'
      type: color
      icon: color
      listable: hidden
      instructions_position: above
      visibility: visible
      always_save: false
      swatches:
        - '#5A8C48'
        - '#FFFFFF'
        - '#000000'
      localizable: false
  -
    handle: theme
    field:
      options:
        light: Light
        dark: Dark
      inline: true
      cast_booleans: false
      default: light
      display: Tema
      type: radio
      icon: radio
      instructions: 'Se viene selezionato "Light" il colore del testo sarà nero, mentre il colore del testo sarà Bianco se viene selezionato "Dark".'
      listable: hidden
      instructions_position: above
      visibility: visible
      always_save: false
      validate:
        - required
      localizable: false
  -
    handle: align
    field:
      options:
        left: 'Testo Sinistra'
        right: 'Testo Destra'
      inline: true
      cast_booleans: false
      default: left
      display: Allineamento
      type: radio
      icon: radio
      instructions: 'Se è selezionato "Sinistra" il testo è a sinistra, se è selezionato "Destra" il testo è allineato a destra.'
      listable: hidden
      instructions_position: above
      visibility: visible
      always_save: false
      validate:
        - required
      localizable: false
  -
    handle: title
    field:
      placeholder: 'Inserisci qui il titolo del box'
      input_type: text
      antlers: false
      display: Titolo
      type: text
      icon: text
      listable: hidden
      instructions_position: above
      visibility: visible
      always_save: false
      validate:
        - required
      localizable: true
  -
    handle: txt
    field:
      collapse: false
      always_show_set_button: false
      previews: true
      buttons:
        - h2
        - h3
        - bold
        - italic
        - unorderedlist
        - orderedlist
        - removeformat
        - quote
        - anchor
        - image
        - table
      save_html: false
      toolbar_mode: fixed
      link_noopener: false
      link_noreferrer: false
      target_blank: false
      reading_time: false
      fullscreen: true
      allow_source: true
      enable_input_rules: true
      enable_paste_rules: true
      antlers: false
      remove_empty_nodes: false
      display: Testo
      type: bard
      icon: bard
      listable: hidden
      instructions_position: above
      visibility: visible
      always_save: false
      validate:
        - required
      localizable: true
  -
    handle: cta
    field:
      input_type: text
      antlers: false
      display: CTA
      type: text
      icon: text
      listable: hidden
      instructions_position: above
      visibility: visible
      always_save: false
      localizable: true
  -
    handle: cta_link
    field:
      display: 'Link CTA'
      type: link
      icon: link
      listable: hidden
      instructions_position: above
      visibility: visible
      always_save: false
      localizable: true
  -
    handle: images
    field:
      mode: list
      container: assets
      restrict: false
      allow_uploads: true
      show_filename: true
      display: Immagini
      type: assets
      icon: assets
      listable: hidden
      instructions_position: above
      visibility: visible
      always_save: false
      max_files: 1
      localizable: false
